<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [TransportState](./sip.js.transportstate.md)

## TransportState enum

[Transport](./sip.js.transport.md) state.

<b>Signature:</b>

```typescript
export declare enum TransportState 
```

## Enumeration Members

|  Member | Value | Description |
|  --- | --- | --- |
|  Connected | <code>&quot;Connected&quot;</code> | The <code>connect()</code> method resolved. |
|  Connecting | <code>&quot;Connecting&quot;</code> | The <code>connect()</code> method was called. |
|  Disconnected | <code>&quot;Disconnected&quot;</code> | The <code>connect()</code> method was rejected, or the <code>disconnect()</code> method completed, or network connectivity was lost. |
|  Disconnecting | <code>&quot;Disconnecting&quot;</code> | The <code>disconnect()</code> method was called. |

## Remarks

The [Transport](./sip.js.transport.md) behaves in a deterministic manner according to the following Finite State Machine (FSM).

```txt
                   ______________________________
                  |    ____________              |
Transport         v   v            |             |
Constructed -> Disconnected -> Connecting -> Connected -> Disconnecting
                    ^            ^    |_____________________^  |  |
                    |            |_____________________________|  |
                    |_____________________________________________|

```

