<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [Dialog](./sip.js.dialog.md) &gt; [recomputeRouteSet](./sip.js.dialog.recomputerouteset.md)

## Dialog.recomputeRouteSet() method

If the dialog identifier in the 2xx response matches the dialog identifier of an existing dialog, the dialog MUST be transitioned to the "confirmed" state, and the route set for the dialog MUST be recomputed based on the 2xx response using the procedures of Section 12.2.1.2. Otherwise, a new dialog in the "confirmed" state MUST be constructed using the procedures of Section 12.1.2.

Note that the only piece of state that is recomputed is the route set. Other pieces of state such as the highest sequence numbers (remote and local) sent within the dialog are not recomputed. The route set only is recomputed for backwards compatibility. RFC 2543 did not mandate mirroring of the Record-Route header field in a 1xx, only 2xx. However, we cannot update the entire state of the dialog, since mid-dialog requests may have been sent within the early dialog, modifying the sequence numbers, for example.

https://tools.ietf.org/html/rfc3261\#section-13.2.2.4

<b>Signature:</b>

```typescript
recomputeRouteSet(message: IncomingResponseMessage): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  message | <code>IncomingResponseMessage</code> |  |

<b>Returns:</b>

`void`

