<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [IncomingRequest](./sip.js.incomingrequest.md)

## IncomingRequest interface

A SIP message sent from a remote client to a local server.

<b>Signature:</b>

```typescript
export interface IncomingRequest 
```

## Remarks

For the purpose of invoking a particular operation. https://tools.ietf.org/html/rfc3261\#section-7.1

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [delegate](./sip.js.incomingrequest.delegate.md) | <code>IncomingRequestDelegate</code> | Delegate providing custom handling of this incoming request. |
|  [message](./sip.js.incomingrequest.message.md) | <code>IncomingRequestMessage</code> | The incoming message. |

## Methods

|  Method | Description |
|  --- | --- |
|  [accept(options)](./sip.js.incomingrequest.accept.md) | Send a 2xx positive final response to this request. Defaults to 200. |
|  [progress(options)](./sip.js.incomingrequest.progress.md) | Send a 1xx provisional response to this request. Defaults to 180. Excludes 100. Note that per RFC 4320, this method may only be used to respond to INVITE requests. |
|  [redirect(contacts, options)](./sip.js.incomingrequest.redirect.md) | Send a 3xx negative final response to this request. Defaults to 302. |
|  [reject(options)](./sip.js.incomingrequest.reject.md) | Send a 4xx, 5xx, or 6xx negative final response to this request. Defaults to 480. |
|  [trying(options)](./sip.js.incomingrequest.trying.md) | Send a 100 outgoing response to this request. |

